/*
Copyright © 2024 NAME HERE <EMAIL ADDRESS>
*/
package cmd

import (
	"fmt"

	"github.com/spf13/cobra"
)

// injectorCmd represents the injector command
var injectorCmd = &cobra.Command{
	Use:   "injector",
	Short: "A brief description of your command",
	Long: `A longer description that spans multiple lines and likely contains examples
and usage of using your command. For example:

Cobra is a CLI library for Go that empowers applications.
This application is a tool to generate the needed files
to quickly create a Cobra application.`,
	Run: func(cmd *cobra.Command, args []string) {
		fmt.Println("injector called")
	},
}

func init() {
	rootCmd.AddCommand(injectorCmd)

	injectorCmd.Flags().String("http-addr", ":9443", "nats.io broker host address")
	injectorCmd.Flags().String("nats-host", "nats", "nats.io broker host address")
	injectorCmd.Flags().Int("nats-port", 4222, "nats.io broker tcp port")
	injectorCmd.Flags().String("log-level", "debug", "log level trace")
}
